#ifndef XD3DRESOURCE_H
#define XD3DRESOURCE_H

#include "xasset.h"

class XD3DResource : public XAsset
{
public:
    XD3DResource();
    ~XD3DResource();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mCommon;
    quint32 mReferenceCount;
    quint32 mFence;
    quint32 mReadFence;
    quint32 mIdentifier;
    quint32 mBaseFlush;
};


#endif // XD3DRESOURCE_H
